Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class Hopfield

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.Hopfield

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class Hopfield

extends NeuralNetwork

Hopfield neural network. Notes: try to use [1, -1] activation levels, sgn as transfer function, or real numbers for activation

See Also:
  Serialized Form

Constructor Summary
`Hopfield(int neuronsCount)` Creates new Hopfield network with specified neuron number
`Hopfield(int neuronsCount, NeuronProperties neuronProperties)` Creates new Hopfield network with specified neuron number and neuron properties

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getLayerAt, getLayers, getLayersCount, getLayersIterator, getLearningRule, getLearningThread, getNetworkType, getOutput, getOutputAsArray, getOutputNeurons, getPlugin, indexOf, initializeWeights, initializeWeights, initializeWeights, learn, learnInNewThread, learnInNewThread, learnInSameThread, learnInSameThread, load, load, notifyChange, pauseLearning, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, resumeLearning, run, save, setInput, setInput, setInputNeurons, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hopfield

    public Hopfield(int neuronsCount)

  Creates new Hopfield network with specified neuron number

  Parameters:
    `neuronsCount` - neurons number in Hopfied network

### Hopfield

    public Hopfield(int neuronsCount,
                    NeuronProperties neuronProperties)

  Creates new Hopfield network with specified neuron number and neuron properties

  Parameters:
    `neuronsCount` - neurons number in Hopfied network
    `neuronProperties` - neuron properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD